Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226026 - Merge Review: libgtop2
Summary: Merge Review: libgtop2
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:24 UTC by Nobody's working on this, feel free to take it
Modified: 2010-10-06 19:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-05 04:52:08 UTC
panemade: fedora-review+


Attachments (Terms of Use)
spec cleanup (deleted)
2010-09-24 09:44 UTC, Parag AN(पराग)
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 19:24:52 UTC
Fedora Merge Review: libgtop2

http://cvs.fedora.redhat.com/viewcvs/devel/libgtop2/
Initial Owner: sandmann@redhat.com

Comment 1 Marcin Zajaczkowski 2007-03-03 18:20:39 UTC
That's my first review of someone's else package so please be understanding and
make your suggestions to my review.

REVIEW:
- rpmlint reports warning (see below)
+ packagename is fine
+ specfile name is fine
+ license GPL, inlcuded in %doc
+ md5sum matches upstream
- BuildRequires - suggestions below
+ locales OK
+ ldconfig in %post and %postun
+ no problems with directories
+ no duplicates in %files
+ %defattr is set
+ %clean section looks good
+ macros are used
+ headres in -devel
+ .la files removed
+ pkgconfig in Requires (due to .pc files)
- not clear build options (see below)


THINGS:

rpmlint warings:
W: libgtop2 summary-not-capitalized libgtop library (version 2)
W: libgtop2 mixed-use-of-spaces-and-tabs (spaces: line 8, tab: line 7)

Summary sections SHOULD be extended.
"libgtop library (version 2)" doesn't say too much for most people.

BuildRequires:
texinfo doesn't seem to be required (in my opinion) and SHOULD be removed. info
file is created without it (and is deleted anyway by a command in spec file).
texinfo depends on several other packages.

gtk-doc package won't be needed in gtk-doc files are not intended (see below)


building:

gtk-doc files are created despite of the option --disable-gtk-doc in configure.
It could be problem with upstream. I'm not sure if gtk-doc are intended or not
because in %files section there is "%{_datadir}/gtk-doc/html/libgtop".
In libgtop2-devel for FC5 there are not that files. In FC7 they are.
When gtk-doc is not available in a system libgtop is built without them, so if
those files are not needed gtk-doc (depends on several other packages) could be
removed from BuildRequires list (if the next point was changed).


In SRPMS there is a patch (libgtop-2.0.2-prog_as.patch) which adds "AM_PROG_AS"
to configure.in. I'm not an expert of automake, but I'm not sure if it's
required, because without it libgtop2 builds just fine. Maybe it was required
only in libgtop-2.0.x series?
This patch has also one side effect. Because it changes configure.in configure
script has to be rebuilt and to do that gtk-doc is required (which wouldn't be
omited if gtk-doc's files are not intended to be in a package).


Btw, I changed status to NEEDINFO from Assignee (should be the owner of a
package), but I'm not sure about that status.


Comment 2 Marcin Zajaczkowski 2007-03-29 13:58:07 UTC
No response for 4 weeks. Needinfo targed changed to (probable) maintainer (who
should get last notification anyway).

Comment 3 Parag AN(पराग) 2010-09-24 09:44:21 UTC
Created attachment 449376 [details]
spec cleanup

mclasen,
    I have removed libs.patch as I don't see any effect of it in existing spec written. Please approve attached patch.

Comment 4 Parag AN(पराग) 2010-10-05 04:52:08 UTC
Removed libs patch.

Applied cleanup patch in build libgtop2-2.28.2-2.fc15 

APPROVED.

Comment 5 Marcin Zajaczkowski 2010-10-06 19:31:12 UTC
I've already lost all hope to see anything in that issue (3,5+ years :) ). Thanks for interest.


Note You need to log in before you can comment on or make changes to this bug.